'use strict';

Object.defineProperty(exports, "__esModule", {
   value: true
});
exports.Input = exports.Button = exports.LoginContainer = undefined;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _polished = require('polished');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LoginContainer = exports.LoginContainer = _styledComponents2.default.div.withConfig({
   displayName: 'LoginStyles__LoginContainer'
})(['width:100%;display:flex;flex-flow:column;align-items:center;justify-content:center;']);

var Button = exports.Button = _styledComponents2.default.button.withConfig({
   displayName: 'LoginStyles__Button'
})(['display:flex;align-items:center;float:left;border-radius:4px;color:', ';background:', ';padding:0px;padding:', ';height:', ';border:none;text-decoration:none;cursor:', ';user-select:none;outline:none;&:focus{border-color:', ';box-shadow:', ';}&:active{background:', ';border-color:', ';box-shadow:', ';transform:', ';}&:hover{background:', ';border-color:', ';box-shadow:', ';}'], function (p) {
   return p.theme.button.color ? p.theme.button.color : '#000';
}, function (props) {
   return props.isDisabled ? props.disabledColor : props.theme.button.background;
}, function (p) {
   return p.theme.button.padding ? p.theme.button.padding : '0px 15px';
}, function (props) {
   return props.theme.button ? props.theme.button.height : '35px';
}, function (props) {
   return props.isDisabled ? 'not-allowed' : 'pointer';
}, function (props) {
   return props.isDisabled ? props.disabledColor : (0, _polished.transparentize)(0.7, props.theme.button.background);
}, function (props) {
   return props.isDisabled ? null : '0 0 0 3px ' + (0, _polished.transparentize)(0.7, props.theme.button.background);
}, function (props) {
   return props.isDisabled ? props.disabledColor : (0, _polished.darken)(0.1, props.theme.button.background);
}, function (props) {
   return props.isDisabled ? props.disabledColor : (0, _polished.darken)(0.1, props.theme.button.background);
}, function (props) {
   return props.isDisabled ? null : 'inset 0 1px 2px ' + (0, _polished.transparentize)(0.7, (0, _polished.rgba)(0, 0, 0, 0.1));
}, function (props) {
   return props.isDisabled ? null : 'translateY(2px)';
}, function (props) {
   return props.isDisabled ? props.disabledColor : (0, _polished.transparentize)(0.2, props.theme.button.background);
}, function (props) {
   return props.isDisabled ? props.disabledColor : (0, _polished.transparentize)(0.7, props.theme.button.background);
}, function (props) {
   return props.isDisabled ? null : '0 0 0 3px ' + (0, _polished.transparentize)(0.7, props.theme.button.background);
});

var Input = exports.Input = _styledComponents2.default.input.withConfig({
   displayName: 'LoginStyles__Input'
})(['font-size:16px;font-weight:200;padding:1rem;color:', ';background:', ';border:', ';border-radius:', ';box-sizing:border-box;outline:none;&:hover{border-color:', ';box-shadow:', ';cursor:', ';}&:focus{box-shadow:', ';}'], function (props) {
   return props.color ? props.color : props.theme.input.color;
}, function (props) {
   return props.background ? props.background : props.theme.input.background;
}, function (props) {
   return props.theme.input.border ? props.theme.input.border : 'none';
}, function (props) {
   return props.theme.input.borderRadius ? props.theme.input.borderRadius : '4px';
}, (0, _polished.transparentize)(0.7, '#3B97D3'), '0 0 0 3px ' + (0, _polished.transparentize)(0.7, '#3B97D3'), function (props) {
   return props.isDisabled ? 'not-allowed' : 'pointer';
}, function (props) {
   return props.theme.input.focusColor ? '0 0 0 3px ' + props.theme.input.focusColor : '0 0 0 3px #13A085';
});