'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.GetAppID = exports.SetAppID = exports.GetHelpID = exports.SetHelpID = undefined;

var _redux = require('redux');

var SET_HELP_ID = 'SetHelpID';
var APP_ID = 'APP_ID';

var setHelp = function setHelp(helpID) {
	return {
		type: SET_HELP_ID,
		payload: helpID
	};
};

var setApp = function setApp(appID) {
	return {
		type: APP_ID,
		payload: appID
	};
};

var initialState = {
	appID: '',
	helpID: 0
};
var HelpReducer = function HelpReducer() {
	var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
	var action = arguments[1];

	switch (action.type) {
		case APP_ID:
			return {
				appID: action.payload
			};
		case SET_HELP_ID:
			return {

				helpID: action.payload
			};

		default:
			return state;
	}
};

var store = (0, _redux.createStore)(HelpReducer, window.__REDUX_DEVTOOLS_EXTENSION__ && window.__REDUX_DEVTOOLS_EXTENSION__());

var SetHelpID = exports.SetHelpID = function SetHelpID(id) {
	store.dispatch(setHelp(id));
};

var GetHelpID = exports.GetHelpID = function GetHelpID() {
	return store.getState().helpID;
};

var SetAppID = exports.SetAppID = function SetAppID(id) {
	store.dispatch(setApp(id));
};

var GetAppID = exports.GetAppID = function GetAppID() {
	return store.getState().appID;
};